<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:layout_gravity="center" >

    <!-- NOTIFICATION BAR -->

    <FrameLayout
        android:id="@+id/player_notification_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" >

        <ProgressBar
            android:id="@+id/player_notification_wheel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center" />

        <TextView
            android:id="@+id/player_notification_txt"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:text=""
            android:textColor="@android:color/white"
            android:textStyle="bold" />
    </FrameLayout>

    <com.viaccessorca.voplayerdemo.utils.VORenderingWebView
        android:id="@+id/abrGraphWebView"
        android:layout_width="350dp"
        android:layout_height="175dp"
        android:layout_centerInParent="true"
        android:layout_alignParentRight="true" />

    <RelativeLayout
        android:id="@+id/player_controls_layout"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_gravity="center" >

        <LinearLayout
            android:id="@+id/topsection_fixed"
            android:layout_width="fill_parent"
            android:layout_height="54dp"
            android:background="@drawable/top_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="8dp" >

            <ImageButton
                android:id="@+id/player_display_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:background="@drawable/img_btn_background"
                android:contentDescription="video size button"
                android:src="@drawable/aspect_ratio_fit" />

            <!-- MEDIA TITLE -->

            <TextView
                android:id="@+id/mediaNameText"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="12dp"
                android:layout_weight="1"
                android:text="@string/empty_text"
                android:textSize="12dp" />

            <ImageButton
                android:id="@+id/abr_grah_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="2dp"
                android:background="@drawable/img_btn_background"
                android:contentDescription="video size button"
                android:src="@drawable/baseline_timeline_white_24" />

            <android.support.v7.app.MediaRouteButton
                android:id="@+id/media_route_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:mediaRouteTypes="user"
                android:visibility="visible" />

            <ImageView
                android:id="@+id/separator"
                android:layout_width="1dp"
                android:layout_height="fill_parent"
                android:layout_marginBottom="12dp"
                android:layout_marginLeft="2dp"
                android:layout_marginRight="2dp"
                android:layout_marginTop="12dp"
                android:src="@drawable/vertical_separator"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/media_DRM_img"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:src="@drawable/secured_httpstr_flag"
                android:visibility="gone" />

            <ImageView
                android:layout_width="1dp"
                android:layout_height="fill_parent"
                android:layout_marginBottom="12dp"
                android:layout_marginLeft="2dp"
                android:layout_marginRight="2dp"
                android:layout_marginTop="12dp"
                android:src="@drawable/vertical_separator" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="fill_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:paddingRight="5dp" >

                <TextView
                    android:id="@+id/battery_level"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/empty_text"
                    android:textSize="8sp" />

                <TextView
                    android:id="@+id/hw_codec_indic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="--"
                    android:textSize="8sp"
                    android:textStyle="bold" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/player_bottomlayout"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="@drawable/bottom_bg"
            android:gravity="center"
            android:orientation="horizontal" >

            <ImageButton
                android:id="@+id/player_playpause_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="3dp"
                android:background="@drawable/img_btn_background"
                android:contentDescription="play pause button"
                android:src="@drawable/lvwidget_play_btn" />

            <LinearLayout
                android:id="@+id/lvmediacontroller_widget_progress_layout"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:gravity="center" >

                <TextView
                    android:id="@+id/player_elapsed_txt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="5dp"
                    android:paddingRight="5dp"
                    android:text="@string/lvwidget_default_time_str" />

                <SeekBar
                    android:id="@+id/player_seekbar"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:paddingLeft="10dp"
                    android:paddingRight="10dp"
                    android:progressBackgroundTint="@color/color_darkgray"
                    android:progressTint="@color/slider_progress"
                    android:secondaryProgressTint="@color/download_speed"
                    android:thumbTint="@color/slider_progress"/>

                <TextView
                    android:id="@+id/player_duration_txt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="5dp"
                    android:paddingRight="5dp"
                    android:text="@string/lvwidget_default_time_str" />

                <Button
                    android:id="@+id/player_jumpToLiveBtn"
                    style="?android:attr/buttonStyleSmall"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="5dp"
                    android:paddingRight="5dp"
                    android:text="@string/live"
                    android:visibility="visible" />
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>
</RelativeLayout>
